#!/usr/bin/python2
# -*- Mode:python; c-file-style:"gnu"; indent-tabs-mode:nil -*- */
#
# Copyright (C) 2014-2018 Arizona Board of Regents.
# Author: Jerald Paul Abraham <jeraldabraham@email.arizona.edu>
# Author: Eric Newberry <enewberry@cs.arizona.edu>
# See COPYING for copyright and distribution information.
#

import os
import unittest
import subprocess

class test_interest_aggregation(unittest.TestCase):
    """Test case for testing Interest aggregation"""

    def setUp(self):
        print "\nTesting Interest Aggregation"
        print "****************************"
        os.chdir("test_interest_aggregation")

    def tearDown(self):
        print "****************************"
        os.chdir("..")

    def test_aggregation(self):
        ret = subprocess.call(["./interest-aggregation-test.sh"], shell=True)
        print "Test script return value:", ret
        errormsg = {
            1 : "Peek Client did not exit",
            2 : "Peek Client did not Data packet or received Data packet containing incorrect content",
            3 : "Traffic Server did not received correct count of Interests",
        }
        if (ret != 0):
            self.fail(errormsg[ret])
